<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'bixo',

    /*
     * Package.
     */
    'package'   => 'listings',

    /*
     * Modules.
     */
    'modules'   => ['listing', 
'company'],

    'listing'       => [
        'model' => [
            'model'                 => \Bixo\Listings\Models\Listing::class,
            'table'                 => 'listings',
            'presenter'             => \Bixo\Listings\Repositories\Presenter\ListingPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'category_id',  'contact_id',  'agent_id',  'teamlead_id',  'hot',  'exclusive',  'name',  'ref',  'unit',  'roi',  'roi_aed',  'country_id',  'state_id',  'location_id',  'sublocation_id',  'property_id',  'beds',  'fitted',  'building_type',  'handover_date',  'baths',  'furnished',  'view',  'bua',  'price',  'interest_rate',  'down_payment',  'emi_years',  'emi',  'est_rental',  'original_price',  'plot',  'units',  'currency',  'poa',  'frequency',  'cheques',  'parking',  'description',  'documents',  'photos',  'floor_plans',  'commission',  'commission_aed',  'deposit',  'deposit_aed',  'portals',  'other_medias',  'features',  'amenities',  'area_informations',  'featured',  'dewa_no',  'str',  'source_listing',  'next_available',  'notes',  'additional_info',  'key_location',  'tenanted',  'rented_at',  'rented_until',  'maintenance_fee',  'price_sqft',  'meta_keyword',  'meta_description',  'viewings',  'published',  'owner_signed',  'property_type',  'distributed_area',  'property_status',  'rera',  'status',  'referal_agents',  'referal_percentage',  'property_use',  'developer_unit',  'published_date',  'lat',  'lng',  'upload_folder',  'created_by',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'listings/listing',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Listings',
            'module'    => 'Listing',
        ],

    ],

    'company'       => [
        'model' => [
            'model'                 => \Bixo\Listings\Models\Company::class,
            'table'                 => 'companies',
            'presenter'             => \Bixo\Listings\Repositories\Presenter\CompanyPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'listing_id',  'category_id',  'team_id',  'lead_team_id',  'contact_id',  'agent_id',  'hot',  'exclusive',  'name',  'ref',  'ref_pf',  'unit',  'type',  'street_no',  'floor',  'maintain_sqft',  'latitude',  'longitude',  'country_id',  'state_id',  'location_id',  'sublocation_id',  'property_id',  'beds',  'fitted',  'building_type',  'handover_date',  'baths',  'furnished',  'view',  'bua',  'price',  'emi',  'est_rental',  'plot',  'poa',  'frequency',  'cheques',  'parking',  'commercial',  'reminder',  'description',  'description_more',  'documents',  'photos',  'floor_plans',  'commission',  'commission_aed',  'deposit',  'deposit_aed',  'portals',  'other_medias',  'features',  'amenities',  'featured',  'dewa_no',  'str',  'source_listing',  'sub_source',  'next_available',  'notes',  'notes_temp',  'additional_info',  'tenanted',  'rented_until',  'maintenance_fee',  'property_status',  'price_sqft',  'owner_signed',  'property_type',  'rera',  'status',  'sub_status',  'unpublish_reason',  'unpublish_details',  'related_listing',  'notifications',  'published_at',  'published_by',  'unpublished_at',  'assigned_to',  'is_verified',  'lat',  'lng',  'watermark',  'temp_other_medias',  'temp_features',  'temp_amenities',  'upload_folder',  'migrated',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'listings/company',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Listings',
            'module'    => 'Company',
        ],

    ],
];
