<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCompaniesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: companies
         */
        Schema::create('companies', function ($table) {
            $table->increments('id');
            $table->integer('listing_id')->nullable();
            $table->integer('category_id')->nullable();
            $table->integer('team_id')->nullable();
            $table->integer('lead_team_id')->nullable();
            $table->integer('contact_id')->nullable();
            $table->integer('agent_id')->nullable();
            $table->integer('hot')->nullable();
            $table->integer('exclusive')->nullable();
            $table->string('name', 255)->nullable();
            $table->string('ref', 100)->nullable();
            $table->string('ref_pf', 15)->nullable();
            $table->string('unit', 100)->nullable();
            $table->string('type', 125)->nullable();
            $table->string('street_no', 100)->nullable();
            $table->string('floor', 100)->nullable();
            $table->double('maintain_sqft', 5,2)->nullable();
            $table->string('latitude', 50)->nullable();
            $table->string('longitude', 50)->nullable();
            $table->integer('country_id')->nullable();
            $table->integer('state_id')->nullable();
            $table->integer('location_id')->nullable();
            $table->integer('sublocation_id')->nullable();
            $table->integer('property_id')->nullable();
            $table->string('beds', 50)->nullable();
            $table->string('fitted', 50)->nullable();
            $table->string('building_type', 255)->nullable();
            $table->date('handover_date')->nullable();
            $table->string('baths', 50)->nullable();
            $table->string('furnished', 255)->nullable();
            $table->string('view', 255)->nullable();
            $table->integer('bua')->nullable();
            $table->integer('price')->nullable();
            $table->float('emi')->nullable();
            $table->float('est_rental')->nullable();
            $table->string('plot', 100)->nullable();
            $table->tinyInteger('poa')->nullable();
            $table->enum('frequency', ['Day','Week','Month','Year',''])->nullable();
            $table->tinyInteger('cheques')->nullable();
            $table->integer('parking')->nullable();
            $table->string('commercial', 10)->nullable();
            $table->dateTime('reminder')->nullable();
            $table->text('description')->nullable();
            $table->mediumText('description_more')->nullable();
            $table->text('documents')->nullable();
            $table->text('photos')->nullable();
            $table->text('floor_plans')->nullable();
            $table->float('commission')->nullable();
            $table->float('commission_aed')->nullable();
            $table->float('deposit')->nullable();
            $table->float('deposit_aed')->nullable();
            $table->text('portals')->nullable();
            $table->text('other_medias')->nullable();
            $table->text('features')->nullable();
            $table->text('amenities')->nullable();
            $table->enum('featured', ['No','Yes',''])->nullable();
            $table->string('dewa_no', 50)->nullable();
            $table->string('str', 50)->nullable();
            $table->string('source_listing', 100)->nullable();
            $table->string('sub_source', 100)->nullable();
            $table->date('next_available')->nullable();
            $table->text('notes')->nullable();
            $table->text('notes_temp')->nullable();
            $table->text('additional_info')->nullable();
            $table->enum('tenanted', ['1','0'])->nullable();
            $table->date('rented_until')->nullable();
            $table->string('maintenance_fee', 100)->nullable();
            $table->enum('property_status', ['Completed','Under Construction',''])->nullable();
            $table->double('price_sqft', 10,2)->nullable();
            $table->enum('owner_signed', ['Managed','Exclusive','Invite',''])->nullable();
            $table->enum('property_type', ['Rental','Sales',''])->nullable();
            $table->string('rera', 50)->nullable();
            $table->enum('status', ['Archived','Draft','Published','Unpublished','Waiting Approval','Waiting Publish','Completed','Approved','Rejected','Waiting Unpublish',''])->nullable();
            $table->enum('sub_status', ['Waiting Unpublish',''])->nullable();
            $table->string('unpublish_reason', 40)->nullable();
            $table->text('unpublish_details')->nullable();
            $table->integer('related_listing')->nullable();
            $table->text('notifications')->nullable();
            $table->dateTime('published_at')->nullable();
            $table->integer('published_by')->nullable();
            $table->dateTime('unpublished_at')->nullable();
            $table->integer('assigned_to')->nullable();
            $table->tinyInteger('is_verified')->nullable();
            $table->string('lat', 50)->nullable();
            $table->string('lng', 50)->nullable();
            $table->string('watermark', 10)->nullable();
            $table->text('temp_other_medias')->nullable();
            $table->text('temp_features')->nullable();
            $table->text('temp_amenities')->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->tinyInteger('migrated')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 30)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('companies');
    }
}
