<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateListingsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: listings
         */
        Schema::create('listings', function ($table) {
            $table->increments('id');
            $table->integer('category_id')->nullable();
            $table->integer('contact_id')->nullable();
            $table->integer('agent_id')->nullable();
            $table->integer('teamlead_id')->nullable();
            $table->tinyInteger('hot')->nullable();
            $table->tinyInteger('exclusive')->nullable();
            $table->string('name', 255)->nullable();
            $table->string('ref', 100)->nullable();
            $table->string('unit', 100)->nullable();
            $table->float('roi')->nullable();
            $table->float('roi_aed')->nullable();
            $table->integer('country_id')->nullable();
            $table->integer('state_id')->nullable();
            $table->integer('location_id')->nullable();
            $table->integer('sublocation_id')->nullable();
            $table->integer('property_id')->nullable();
            $table->string('beds', 50)->nullable();
            $table->integer('fitted')->nullable();
            $table->string('building_type', 255)->nullable();
            $table->date('handover_date')->nullable();
            $table->string('baths', 50)->nullable();
            $table->string('furnished', 255)->nullable();
            $table->string('view', 255)->nullable();
            $table->integer('bua')->nullable();
            $table->integer('price')->nullable();
            $table->integer('interest_rate')->nullable();
            $table->float('down_payment')->nullable();
            $table->integer('emi_years')->nullable();
            $table->float('emi')->nullable();
            $table->float('est_rental')->nullable();
            $table->string('original_price', 100)->nullable();
            $table->string('plot', 100)->nullable();
            $table->enum('units', ['sqft','sqm'])->nullable();
            $table->string('currency', 5)->nullable();
            $table->tinyInteger('poa')->nullable();
            $table->enum('frequency', ['Day','Week','Month','Year'])->nullable();
            $table->tinyInteger('cheques')->nullable();
            $table->tinyInteger('parking')->nullable();
            $table->text('description')->nullable();
            $table->text('documents')->nullable();
            $table->text('photos')->nullable();
            $table->text('floor_plans')->nullable();
            $table->float('commission')->nullable();
            $table->float('commission_aed')->nullable();
            $table->float('deposit')->nullable();
            $table->float('deposit_aed')->nullable();
            $table->text('portals')->nullable();
            $table->text('other_medias')->nullable();
            $table->text('features')->nullable();
            $table->text('amenities')->nullable();
            $table->text('area_informations')->nullable();
            $table->enum('featured', ['No','Yes'])->nullable();
            $table->string('dewa_no', 50)->nullable();
            $table->string('str', 50)->nullable();
            $table->string('source_listing', 100)->nullable();
            $table->date('next_available')->nullable();
            $table->text('notes')->nullable();
            $table->text('additional_info')->nullable();
            $table->string('key_location', 255)->nullable();
            $table->enum('tenanted', ['No','Yes'])->nullable();
            $table->string('rented_at', 100)->nullable();
            $table->date('rented_until')->nullable();
            $table->string('maintenance_fee', 100)->nullable();
            $table->increments('price_sqft')->nullable();
            $table->string('meta_keyword', 255)->nullable();
            $table->text('meta_description')->nullable();
            $table->integer('viewings')->nullable();
            $table->enum('published', ['Unpublished','Published'])->nullable();
            $table->enum('owner_signed', ['Managed','Exclusive','Invite'])->nullable();
            $table->string('property_type', 255)->nullable();
            $table->enum('distributed_area', ['UAE','International'])->nullable();
            $table->enum('property_status', ['Available','Pending','Sold/Rented','Upcoming','Reserved'])->nullable();
            $table->string('rera', 50)->nullable();
            $table->enum('status', ['Archived','Draft','Published','Unpublished','Waiting Approval','Waiting Publish'])->nullable();
            $table->string('referal_agents', 255)->nullable();
            $table->integer('referal_percentage')->nullable();
            $table->enum('property_use', ['used','nouse'])->nullable();
            $table->string('developer_unit', 100)->nullable();
            $table->date('published_date')->nullable();
            $table->string('lat', 50)->nullable();
            $table->string('lng', 50)->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->integer('created_by')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('listings');
    }
}
