Lavalite package that provides listings management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `bixo/listings`.

    "bixo/listings": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Bixo\Listings\Providers\ListingsServiceProvider::class,

And also add it to alias

    'Listings'  => Bixo\Listings\Facades\Listings::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Bixo\\ListingsTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Bixo\Listings\Providers\ListingsServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Bixo\Listings\Providers\ListingsServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Bixo\Listings\Providers\ListingsServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/listings/{modulename}

**User**

    http://path-to-route-folder/user/listings/{modulename}

**Public**

    http://path-to-route-folder/listings


### API endpoints

**List**

    http://path-to-route-folder/api/user/listings/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/listings/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/listings/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/listings/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/listings/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/listings/{modulename}/{slug}
    METHOD: GET