<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for listing in listings package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  listing module in listings package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Listing',
    'names'         => 'Listings',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Listings',
        'sub'   => 'Listings',
        'list'  => 'List of listings',
        'edit'  => 'Edit listing',
        'create'    => 'Create new listing'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'units'               => ['sqft','sqm'],
            'frequency'           => ['Day','Week','Month','Year'],
            'featured'            => ['No','Yes'],
            'tenanted'            => ['No','Yes'],
            'published'           => ['Unpublished','Published'],
            'owner_signed'        => ['Managed','Exclusive','Invite'],
            'distributed_area'    => ['UAE','International'],
            'property_status'     => ['Available','Pending','Sold/Rented','Upcoming','Reserved'],
            'status'              => ['Archived','Draft','Published','Unpublished','Waiting Approval','Waiting Publish'],
            'property_use'        => ['used','nouse'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'category_id'                => 'Please enter category id',
        'contact_id'                 => 'Please enter contact id',
        'agent_id'                   => 'Please enter agent id',
        'teamlead_id'                => 'Please enter teamlead id',
        'hot'                        => 'Please enter hot',
        'exclusive'                  => 'Please enter exclusive',
        'name'                       => 'Please enter name',
        'ref'                        => 'Please enter ref',
        'unit'                       => 'Please enter unit',
        'roi'                        => 'Please enter roi',
        'roi_aed'                    => 'Please enter roi aed',
        'country_id'                 => 'Please enter country id',
        'state_id'                   => 'Please enter state id',
        'location_id'                => 'Please enter location id',
        'sublocation_id'             => 'Please enter sublocation id',
        'property_id'                => 'Please enter property id',
        'beds'                       => 'Please enter beds',
        'fitted'                     => 'Please enter fitted',
        'building_type'              => 'Please enter building type',
        'handover_date'              => 'Please select handover date',
        'baths'                      => 'Please enter baths',
        'furnished'                  => 'Please enter furnished',
        'view'                       => 'Please enter view',
        'bua'                        => 'Please enter bua',
        'price'                      => 'Please enter price',
        'interest_rate'              => 'Please enter interest rate',
        'down_payment'               => 'Please enter down payment',
        'emi_years'                  => 'Please enter emi years',
        'emi'                        => 'Please enter emi',
        'est_rental'                 => 'Please enter est rental',
        'original_price'             => 'Please enter original price',
        'plot'                       => 'Please enter plot',
        'units'                      => 'Please select units',
        'currency'                   => 'Please enter currency',
        'poa'                        => 'Please enter poa',
        'frequency'                  => 'Please select frequency',
        'cheques'                    => 'Please enter cheques',
        'parking'                    => 'Please enter parking',
        'description'                => 'Please enter description',
        'documents'                  => 'Please enter documents',
        'photos'                     => 'Please enter photos',
        'floor_plans'                => 'Please enter floor plans',
        'commission'                 => 'Please enter commission',
        'commission_aed'             => 'Please enter commission aed',
        'deposit'                    => 'Please enter deposit',
        'deposit_aed'                => 'Please enter deposit aed',
        'portals'                    => 'Please enter portals',
        'other_medias'               => 'Please enter other medias',
        'features'                   => 'Please enter features',
        'amenities'                  => 'Please enter amenities',
        'area_informations'          => 'Please enter area informations',
        'featured'                   => 'Please select featured',
        'dewa_no'                    => 'Please enter dewa no',
        'str'                        => 'Please enter str',
        'source_listing'             => 'Please enter source listing',
        'next_available'             => 'Please select next available',
        'notes'                      => 'Please enter notes',
        'additional_info'            => 'Please enter additional info',
        'key_location'               => 'Please enter key location',
        'tenanted'                   => 'Please select tenanted',
        'rented_at'                  => 'Please enter rented at',
        'rented_until'               => 'Please select rented until',
        'maintenance_fee'            => 'Please enter maintenance fee',
        'price_sqft'                 => 'Please enter price sqft',
        'meta_keyword'               => 'Please enter meta keyword',
        'meta_description'           => 'Please enter meta description',
        'viewings'                   => 'Please enter viewings',
        'published'                  => 'Please select published',
        'owner_signed'               => 'Please select owner signed',
        'property_type'              => 'Please enter property type',
        'distributed_area'           => 'Please select distributed area',
        'property_status'            => 'Please select property status',
        'rera'                       => 'Please enter rera',
        'status'                     => 'Please select status',
        'referal_agents'             => 'Please enter referal agents',
        'referal_percentage'         => 'Please enter referal percentage',
        'property_use'               => 'Please select property use',
        'developer_unit'             => 'Please enter developer unit',
        'published_date'             => 'Please select published date',
        'lat'                        => 'Please enter lat',
        'lng'                        => 'Please enter lng',
        'upload_folder'              => 'Please enter upload folder',
        'created_by'                 => 'Please enter created by',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'category_id'                => 'Category id',
        'contact_id'                 => 'Contact id',
        'agent_id'                   => 'Agent id',
        'teamlead_id'                => 'Teamlead id',
        'hot'                        => 'Hot',
        'exclusive'                  => 'Exclusive',
        'name'                       => 'Name',
        'ref'                        => 'Ref',
        'unit'                       => 'Unit',
        'roi'                        => 'Roi',
        'roi_aed'                    => 'Roi aed',
        'country_id'                 => 'Country id',
        'state_id'                   => 'State id',
        'location_id'                => 'Location id',
        'sublocation_id'             => 'Sublocation id',
        'property_id'                => 'Property id',
        'beds'                       => 'Beds',
        'fitted'                     => 'Fitted',
        'building_type'              => 'Building type',
        'handover_date'              => 'Handover date',
        'baths'                      => 'Baths',
        'furnished'                  => 'Furnished',
        'view'                       => 'View',
        'bua'                        => 'Bua',
        'price'                      => 'Price',
        'interest_rate'              => 'Interest rate',
        'down_payment'               => 'Down payment',
        'emi_years'                  => 'Emi years',
        'emi'                        => 'Emi',
        'est_rental'                 => 'Est rental',
        'original_price'             => 'Original price',
        'plot'                       => 'Plot',
        'units'                      => 'Units',
        'currency'                   => 'Currency',
        'poa'                        => 'Poa',
        'frequency'                  => 'Frequency',
        'cheques'                    => 'Cheques',
        'parking'                    => 'Parking',
        'description'                => 'Description',
        'documents'                  => 'Documents',
        'photos'                     => 'Photos',
        'floor_plans'                => 'Floor plans',
        'commission'                 => 'Commission',
        'commission_aed'             => 'Commission aed',
        'deposit'                    => 'Deposit',
        'deposit_aed'                => 'Deposit aed',
        'portals'                    => 'Portals',
        'other_medias'               => 'Other medias',
        'features'                   => 'Features',
        'amenities'                  => 'Amenities',
        'area_informations'          => 'Area informations',
        'featured'                   => 'Featured',
        'dewa_no'                    => 'Dewa no',
        'str'                        => 'Str',
        'source_listing'             => 'Source listing',
        'next_available'             => 'Next available',
        'notes'                      => 'Notes',
        'additional_info'            => 'Additional info',
        'key_location'               => 'Key location',
        'tenanted'                   => 'Tenanted',
        'rented_at'                  => 'Rented at',
        'rented_until'               => 'Rented until',
        'maintenance_fee'            => 'Maintenance fee',
        'price_sqft'                 => 'Price sqft',
        'meta_keyword'               => 'Meta keyword',
        'meta_description'           => 'Meta description',
        'viewings'                   => 'Viewings',
        'published'                  => 'Published',
        'owner_signed'               => 'Owner signed',
        'property_type'              => 'Property type',
        'distributed_area'           => 'Distributed area',
        'property_status'            => 'Property status',
        'rera'                       => 'Rera',
        'status'                     => 'Status',
        'referal_agents'             => 'Referal agents',
        'referal_percentage'         => 'Referal percentage',
        'property_use'               => 'Property use',
        'developer_unit'             => 'Developer unit',
        'published_date'             => 'Published date',
        'lat'                        => 'Lat',
        'lng'                        => 'Lng',
        'upload_folder'              => 'Upload folder',
        'created_by'                 => 'Created by',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'name'                       => ['name' => 'Name', 'data-column' => 1, 'checked'],
        'beds'                       => ['name' => 'Beds', 'data-column' => 2, 'checked'],
        'price'                      => ['name' => 'Price', 'data-column' => 3, 'checked'],
        'description'                => ['name' => 'Description', 'data-column' => 4, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Listings',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
