<?php

namespace Bixo\Listings;

use User;

class Listings
{
    /**
     * $listing object.
     */
    protected $listing;
    /**
     * $company object.
     */
    protected $company;

    /**
     * Constructor.
     */
    public function __construct(\Bixo\Listings\Interfaces\ListingRepositoryInterface $listing,
        \Bixo\Listings\Interfaces\CompanyRepositoryInterface $company)
    {
        $this->listing = $listing;
        $this->company = $company;
    }

    /**
     * Returns count of listings.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.listing.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->listing->pushCriteria(new \Litepie\Bixo\Repositories\Criteria\ListingUserCriteria());
        }

        $listing = $this->listing->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('listings::' . $view, compact('listing'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.company.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->company->pushCriteria(new \Litepie\Bixo\Repositories\Criteria\CompanyUserCriteria());
        }

        $company = $this->company->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('listings::' . $view, compact('company'))->render();
    }
}
