<?php

namespace Bixo\Listings\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CompanyTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Listings\Models\Company $company)
    {
        return [
            'id'                => $company->getRouteKey(),
            'key'               => [
                'public'    => $company->getPublicKey(),
                'route'     => $company->getRouteKey(),
            ], 
            'listing_id'        => $company->listing_id,
            'category_id'       => $company->category_id,
            'team_id'           => $company->team_id,
            'lead_team_id'      => $company->lead_team_id,
            'contact_id'        => $company->contact_id,
            'agent_id'          => $company->agent_id,
            'hot'               => $company->hot,
            'exclusive'         => $company->exclusive,
            'name'              => $company->name,
            'ref'               => $company->ref,
            'ref_pf'            => $company->ref_pf,
            'unit'              => $company->unit,
            'type'              => $company->type,
            'street_no'         => $company->street_no,
            'floor'             => $company->floor,
            'maintain_sqft'     => $company->maintain_sqft,
            'latitude'          => $company->latitude,
            'longitude'         => $company->longitude,
            'country_id'        => $company->country_id,
            'state_id'          => $company->state_id,
            'location_id'       => $company->location_id,
            'sublocation_id'    => $company->sublocation_id,
            'property_id'       => $company->property_id,
            'beds'              => $company->beds,
            'fitted'            => $company->fitted,
            'building_type'     => $company->building_type,
            'handover_date'     => $company->handover_date,
            'baths'             => $company->baths,
            'furnished'         => $company->furnished,
            'view'              => $company->view,
            'bua'               => $company->bua,
            'price'             => $company->price,
            'emi'               => $company->emi,
            'est_rental'        => $company->est_rental,
            'plot'              => $company->plot,
            'poa'               => $company->poa,
            'frequency'         => $company->frequency,
            'cheques'           => $company->cheques,
            'parking'           => $company->parking,
            'commercial'        => $company->commercial,
            'reminder'          => $company->reminder,
            'description'       => $company->description,
            'description_more'  => $company->description_more,
            'documents'         => $company->documents,
            'photos'            => $company->photos,
            'floor_plans'       => $company->floor_plans,
            'commission'        => $company->commission,
            'commission_aed'    => $company->commission_aed,
            'deposit'           => $company->deposit,
            'deposit_aed'       => $company->deposit_aed,
            'portals'           => $company->portals,
            'other_medias'      => $company->other_medias,
            'features'          => $company->features,
            'amenities'         => $company->amenities,
            'featured'          => $company->featured,
            'dewa_no'           => $company->dewa_no,
            'str'               => $company->str,
            'source_listing'    => $company->source_listing,
            'sub_source'        => $company->sub_source,
            'next_available'    => $company->next_available,
            'notes'             => $company->notes,
            'notes_temp'        => $company->notes_temp,
            'additional_info'   => $company->additional_info,
            'tenanted'          => $company->tenanted,
            'rented_until'      => $company->rented_until,
            'maintenance_fee'   => $company->maintenance_fee,
            'property_status'   => $company->property_status,
            'price_sqft'        => $company->price_sqft,
            'owner_signed'      => $company->owner_signed,
            'property_type'     => $company->property_type,
            'rera'              => $company->rera,
            'sub_status'        => $company->sub_status,
            'unpublish_reason'  => $company->unpublish_reason,
            'unpublish_details' => $company->unpublish_details,
            'related_listing'   => $company->related_listing,
            'notifications'     => $company->notifications,
            'published_at'      => $company->published_at,
            'published_by'      => $company->published_by,
            'unpublished_at'    => $company->unpublished_at,
            'assigned_to'       => $company->assigned_to,
            'is_verified'       => $company->is_verified,
            'lat'               => $company->lat,
            'lng'               => $company->lng,
            'watermark'         => $company->watermark,
            'temp_other_medias' => $company->temp_other_medias,
            'temp_features'     => $company->temp_features,
            'temp_amenities'    => $company->temp_amenities,
            'upload_folder'     => $company->upload_folder,
            'migrated'          => $company->migrated,
            'user_id'           => $company->user_id,
            'user_type'         => $company->user_type,
            'deleted_at'        => $company->deleted_at,
            'url'               => [
                'public'    => trans_url('listings/'.$company->getPublicKey()),
                'user'      => guard_url('listings/company/'.$company->getRouteKey()),
            ], 
            'status'            => trans('app.'.$company->status),
            'created_at'        => format_date($company->created_at),
            'updated_at'        => format_date($company->updated_at),
        ];
    }
}