<?php

namespace Bixo\Listings\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ListingTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Listings\Models\Listing $listing)
    {
        return [
            'id'                => $listing->getRouteKey(),
            'key'               => [
                'public'    => $listing->getPublicKey(),
                'route'     => $listing->getRouteKey(),
            ], 
            'category_id'       => $listing->category_id,
            'contact_id'        => $listing->contact_id,
            'agent_id'          => $listing->agent_id,
            'teamlead_id'       => $listing->teamlead_id,
            'hot'               => $listing->hot,
            'exclusive'         => $listing->exclusive,
            'name'              => $listing->name,
            'ref'               => $listing->ref,
            'unit'              => $listing->unit,
            'roi'               => $listing->roi,
            'roi_aed'           => $listing->roi_aed,
            'country_id'        => $listing->country_id,
            'state_id'          => $listing->state_id,
            'location_id'       => $listing->location_id,
            'sublocation_id'    => $listing->sublocation_id,
            'property_id'       => $listing->property_id,
            'beds'              => $listing->beds,
            'fitted'            => $listing->fitted,
            'building_type'     => $listing->building_type,
            'handover_date'     => $listing->handover_date,
            'baths'             => $listing->baths,
            'furnished'         => $listing->furnished,
            'view'              => $listing->view,
            'bua'               => $listing->bua,
            'price'             => $listing->price,
            'interest_rate'     => $listing->interest_rate,
            'down_payment'      => $listing->down_payment,
            'emi_years'         => $listing->emi_years,
            'emi'               => $listing->emi,
            'est_rental'        => $listing->est_rental,
            'original_price'    => $listing->original_price,
            'plot'              => $listing->plot,
            'units'             => $listing->units,
            'currency'          => $listing->currency,
            'poa'               => $listing->poa,
            'frequency'         => $listing->frequency,
            'cheques'           => $listing->cheques,
            'parking'           => $listing->parking,
            'description'       => $listing->description,
            'documents'         => $listing->documents,
            'photos'            => $listing->photos,
            'floor_plans'       => $listing->floor_plans,
            'commission'        => $listing->commission,
            'commission_aed'    => $listing->commission_aed,
            'deposit'           => $listing->deposit,
            'deposit_aed'       => $listing->deposit_aed,
            'portals'           => $listing->portals,
            'other_medias'      => $listing->other_medias,
            'features'          => $listing->features,
            'amenities'         => $listing->amenities,
            'area_informations' => $listing->area_informations,
            'featured'          => $listing->featured,
            'dewa_no'           => $listing->dewa_no,
            'str'               => $listing->str,
            'source_listing'    => $listing->source_listing,
            'next_available'    => $listing->next_available,
            'notes'             => $listing->notes,
            'additional_info'   => $listing->additional_info,
            'key_location'      => $listing->key_location,
            'tenanted'          => $listing->tenanted,
            'rented_at'         => $listing->rented_at,
            'rented_until'      => $listing->rented_until,
            'maintenance_fee'   => $listing->maintenance_fee,
            'price_sqft'        => $listing->price_sqft,
            'meta_keyword'      => $listing->meta_keyword,
            'meta_description'  => $listing->meta_description,
            'viewings'          => $listing->viewings,
            'published'         => $listing->published,
            'owner_signed'      => $listing->owner_signed,
            'property_type'     => $listing->property_type,
            'distributed_area'  => $listing->distributed_area,
            'property_status'   => $listing->property_status,
            'rera'              => $listing->rera,
            'referal_agents'    => $listing->referal_agents,
            'referal_percentage' => $listing->referal_percentage,
            'property_use'      => $listing->property_use,
            'developer_unit'    => $listing->developer_unit,
            'published_date'    => $listing->published_date,
            'lat'               => $listing->lat,
            'lng'               => $listing->lng,
            'upload_folder'     => $listing->upload_folder,
            'created_by'        => $listing->created_by,
            'deleted_at'        => $listing->deleted_at,
            'url'               => [
                'public'    => trans_url('listings/'.$listing->getPublicKey()),
                'user'      => guard_url('listings/listing/'.$listing->getRouteKey()),
            ], 
            'status'            => trans('app.'.$listing->status),
            'created_at'        => format_date($listing->created_at),
            'updated_at'        => format_date($listing->updated_at),
        ];
    }
}